<?php

namespace App\Http\Services\V1;

use App\Generated\V1\Messages\DeedFriend\StarFriendMessage;
use App\Generated\V1\Messages\DeedFriend\HideFriendMessage;
use App\Managers\DeedFriendManager;
use App\Http\Controllers\Core\Auth;

class DeedFriendService
{
    protected $deedFriendManager;

    public function __construct(DeedFriendManager $deedFriendManager)
    {
        $this->deedFriendManager = $deedFriendManager;
    }

    public function starFriend(StarFriendMessage $message)
    {
        $friendUid = $message->getFriendUid();
        $uid = Auth::auth();

        $this->deedFriendManager->starFriend($uid, $friendUid);
    }

    public function hideFriend(HideFriendMessage $message)
    {
        $friendUid = $message->getFriendUid();
        $uid = Auth::auth();

        $this->deedFriendManager->hideFriend($uid, $friendUid);
    }
}
